# Makefile.in generated by automake 1.7.6 from Makefile.am.
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = @host@
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CATALOGS = @CATALOGS@
CATOBJEXT = @CATOBJEXT@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CYGPATH_W = @CYGPATH_W@
DATADIRNAME = @DATADIRNAME@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DIACANVAS2_CFLAGS = @DIACANVAS2_CFLAGS@
DIACANVAS2_DEMO_CFLAGS = @DIACANVAS2_DEMO_CFLAGS@
DIACANVAS2_DEMO_LIBS = @DIACANVAS2_DEMO_LIBS@
DIACANVAS2_LIBS = @DIACANVAS2_LIBS@
DIA_CANVAS_VERSION = @DIA_CANVAS_VERSION@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLE_GTK_DOC_FALSE = @ENABLE_GTK_DOC_FALSE@
ENABLE_GTK_DOC_TRUE = @ENABLE_GTK_DOC_TRUE@
ENABLE_PYTHON_FALSE = @ENABLE_PYTHON_FALSE@
ENABLE_PYTHON_TRUE = @ENABLE_PYTHON_TRUE@
EXEEXT = @EXEEXT@
FEATURE_GNOME_PRINT = @FEATURE_GNOME_PRINT@
GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
GMOFILES = @GMOFILES@
GMSGFMT = @GMSGFMT@
GNOME_PRINT_PC = @GNOME_PRINT_PC@
GTKDOC = @GTKDOC@
HTML_DIR = @HTML_DIR@
INDENT = @INDENT@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INSTOBJEXT = @INSTOBJEXT@
INTLLIBS = @INTLLIBS@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
MKINSTALLDIRS = @MKINSTALLDIRS@
MSGFMT = @MSGFMT@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
PKG_CONFIG = @PKG_CONFIG@
PLATFORM_WIN32_FALSE = @PLATFORM_WIN32_FALSE@
PLATFORM_WIN32_TRUE = @PLATFORM_WIN32_TRUE@
POFILES = @POFILES@
POSUB = @POSUB@
PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
PYGTK_CFLAGS = @PYGTK_CFLAGS@
PYGTK_CODEGEN = @PYGTK_CODEGEN@
PYGTK_DEFSDIR = @PYGTK_DEFSDIR@
PYGTK_LIBS = @PYGTK_LIBS@
PYTHON = @PYTHON@
PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
PYTHON_INCLUDES = @PYTHON_INCLUDES@
PYTHON_PLATFORM = @PYTHON_PLATFORM@
PYTHON_PREFIX = @PYTHON_PREFIX@
PYTHON_VERSION = @PYTHON_VERSION@
RANLIB = @RANLIB@
REBUILD = @REBUILD@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
XGETTEXT = @XGETTEXT@
ac_ct_CC = @ac_ct_CC@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
oldincludedir = @oldincludedir@
pkgpyexecdir = @pkgpyexecdir@
pkgpythondir = @pkgpythondir@
prefix = @prefix@
program_transform_name = @program_transform_name@
pyexecdir = @pyexecdir@
pythondir = @pythondir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@

# Global include and libs stuff.
INCLUDES = $(DIACANVAS2_CFLAGS) -I.. -DG_LOG_DOMAIN=\"DiaCanvas2\"

@PLATFORM_WIN32_TRUE@no_undefined = -no-undefined

lib_LTLIBRARIES = libdiacanvas2.la

# Code for the diagram model.
model_headers = \
	dia-canvas.h		\
	dia-canvas-item.h	\
	dia-canvas-group.h	\
	dia-canvas-groupable.h	\
	dia-canvas-editable.h	\
	dia-shape.h		\
	dia-handle.h		\
	dia-event.h		\
	dia-geometry.h		\
	dia-canvas-iter.h	\
	dia-canvas-i18n.h	\
	dia-export-svg.h	\
	dia-export-print.h


model_sources = \
	dia-canvas.c		\
	dia-canvas-item.c	\
	dia-canvas-group.c	\
	dia-canvas-groupable.c	\
	dia-canvas-editable.c	\
	dia-shape.c		\
	dia-handle.c		\
	dia-geometry.c		\
	dia-canvas-iter.c	\
	dia-export-svg.c	\
	dia-export-print.c	\
	diatypes.c


# The linear constraint solver
solver_headers = \
	dia-strength.h		\
	dia-variable.h		\
	dia-constraint.h	\
	dia-solver.h


solver_sources = \
	dia-variable.c		\
	dia-constraint.c	\
	dia-solver.c


# Handly (example) objects
object_headers = \
	dia-canvas-line.h	\
	dia-canvas-element.h	\
	dia-canvas-box.h	\
	dia-canvas-text.h	\
	dia-canvas-image.h


object_sources = \
	dia-canvas-line.c	\
	dia-canvas-element.c	\
	dia-canvas-box.c	\
	dia-canvas-text.c	\
	dia-canvas-image.c


# Views for the canvas, based on GnomeCanvas
view_sources = \
	dia-canvas-view.c	\
	dia-canvas-view-item.c	\
	dia-shape-art.c		\
	dia-shape-x.c		\
	dia-handle-layer.c	\
	dia-selector.c		\
	dia-tool.c		\
	dia-selection-tool.c	\
	dia-handle-tool.c	\
	dia-item-tool.c		\
	dia-default-tool.c	\
	dia-placement-tool.c	\
	dia-stack-tool.c


view_headers = \
	dia-canvas-view.h	\
	dia-shape-art.h		\
	dia-shape-x.h		\
	dia-handle-layer.h	\
	dia-selector.h		\
	dia-tool.h		\
	dia-selection-tool.h	\
	dia-handle-tool.h	\
	dia-item-tool.h		\
	dia-default-tool.h	\
	dia-placement-tool.h	\
	dia-stack-tool.h


all_headers = \
	$(model_headers)	\
	$(solver_headers)	\
	$(object_headers)	\
	$(view_headers)


all_sources = \
	$(model_sources)	\
	$(solver_sources)	\
	$(object_sources)	\
	$(view_sources)		\
	diatypebuiltins.c


libdiacanvas2includedir = $(includedir)/diacanvas
libdiacanvas2include_HEADERS = $(all_headers) diatypebuiltins.h diamarshal.h dia-features.h
libdiacanvas2_la_SOURCES = $(all_sources) 
libdiacanvas2_la_LDFLAGS = $(no_undefined)
libdiacanvas2_la_LIBADD = $(DIACANVAS2_LIBS) 

EXTRA_DIST = \
	diamarshal.list		\
	diamarshal.c		\
	dia-boxed.defs


BUILT_SOURCES = \
	diatypebuiltins.h	\
	diatypebuiltins.c	\
	diamarshal.h		\
	diamarshal.c

subdir = ./diacanvas
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = dia-features.h
LTLIBRARIES = $(lib_LTLIBRARIES)

libdiacanvas2_la_DEPENDENCIES =
am__objects_1 = dia-canvas.lo dia-canvas-item.lo dia-canvas-group.lo \
	dia-canvas-groupable.lo dia-canvas-editable.lo dia-shape.lo \
	dia-handle.lo dia-geometry.lo dia-canvas-iter.lo \
	dia-export-svg.lo dia-export-print.lo diatypes.lo
am__objects_2 = dia-variable.lo dia-constraint.lo dia-solver.lo
am__objects_3 = dia-canvas-line.lo dia-canvas-element.lo \
	dia-canvas-box.lo dia-canvas-text.lo dia-canvas-image.lo
am__objects_4 = dia-canvas-view.lo dia-canvas-view-item.lo \
	dia-shape-art.lo dia-shape-x.lo dia-handle-layer.lo \
	dia-selector.lo dia-tool.lo dia-selection-tool.lo \
	dia-handle-tool.lo dia-item-tool.lo dia-default-tool.lo \
	dia-placement-tool.lo dia-stack-tool.lo
am__objects_5 = $(am__objects_1) $(am__objects_2) $(am__objects_3) \
	$(am__objects_4) diatypebuiltins.lo
am_libdiacanvas2_la_OBJECTS = $(am__objects_5)
libdiacanvas2_la_OBJECTS = $(am_libdiacanvas2_la_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/dia-canvas-box.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-canvas-editable.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-canvas-element.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-canvas-group.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-canvas-groupable.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-canvas-image.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-canvas-item.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-canvas-iter.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-canvas-line.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-canvas-text.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-canvas-view-item.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-canvas-view.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-canvas.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-constraint.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-default-tool.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-export-print.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-export-svg.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-geometry.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-handle-layer.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-handle-tool.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-handle.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-item-tool.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-placement-tool.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-selection-tool.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-selector.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-shape-art.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-shape-x.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-shape.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-solver.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-stack-tool.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-tool.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/dia-variable.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/diatypebuiltins.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/diatypes.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libdiacanvas2_la_SOURCES)
HEADERS = $(libdiacanvas2include_HEADERS)

DIST_COMMON = $(libdiacanvas2include_HEADERS) Makefile.am Makefile.in \
	dia-features.h.in
SOURCES = $(libdiacanvas2_la_SOURCES)

all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  ./diacanvas/Makefile
Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
dia-features.h: $(top_builddir)/config.status dia-features.h.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libdiacanvas2.la: $(libdiacanvas2_la_OBJECTS) $(libdiacanvas2_la_DEPENDENCIES) 
	$(LINK) -rpath $(libdir) $(libdiacanvas2_la_LDFLAGS) $(libdiacanvas2_la_OBJECTS) $(libdiacanvas2_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-canvas-box.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-canvas-editable.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-canvas-element.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-canvas-group.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-canvas-groupable.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-canvas-image.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-canvas-item.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-canvas-iter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-canvas-line.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-canvas-text.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-canvas-view-item.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-canvas-view.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-canvas.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-constraint.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-default-tool.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-export-print.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-export-svg.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-geometry.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-handle-layer.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-handle-tool.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-handle.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-item-tool.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-placement-tool.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-selection-tool.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-selector.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-shape-art.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-shape-x.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-shape.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-solver.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-stack-tool.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-tool.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dia-variable.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/diatypebuiltins.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/diatypes.Plo@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.c.o:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
@am__fastdepCC_TRUE@	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
libdiacanvas2includeHEADERS_INSTALL = $(INSTALL_HEADER)
install-libdiacanvas2includeHEADERS: $(libdiacanvas2include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdiacanvas2includedir)
	@list='$(libdiacanvas2include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(libdiacanvas2includeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(libdiacanvas2includedir)/$$f"; \
	  $(libdiacanvas2includeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(libdiacanvas2includedir)/$$f; \
	done

uninstall-libdiacanvas2includeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(libdiacanvas2include_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(libdiacanvas2includedir)/$$f"; \
	  rm -f $(DESTDIR)$(libdiacanvas2includedir)/$$f; \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(LTLIBRARIES) $(HEADERS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(libdir) $(DESTDIR)$(libdiacanvas2includedir)
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
	mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-libdiacanvas2includeHEADERS

install-exec-am: install-libLTLIBRARIES

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am uninstall-libLTLIBRARIES \
	uninstall-libdiacanvas2includeHEADERS uninstall-local

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
	clean-libLTLIBRARIES clean-libtool ctags distclean \
	distclean-compile distclean-depend distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am info \
	info-am install install-am install-data install-data-am \
	install-exec install-exec-am install-info install-info-am \
	install-libLTLIBRARIES install-libdiacanvas2includeHEADERS \
	install-man install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
	uninstall-am uninstall-info-am uninstall-libLTLIBRARIES \
	uninstall-libdiacanvas2includeHEADERS uninstall-local


# Do the unit tests!
test: all
	( cd $(top_srcdir)/unit_tests && $(MAKE) check )

#defs: diacanvas.defs
#
#diacanvas.defs: $(all_headers)
#	$(PYTHON) ../scripts/h2def.py $(all_headers) > diacanvas.defs

# ctags for vi(m)
ctags:
	rm tags; ctags -dt $(all_sources) $(all_headers)

# all autogenerated files need to be generated in the srcdir,
# so old versions get remade and are not confused with newer
# versions in the build dir. thus a development setup requires
# srcdir to be writable, passing --disable-rebuilds to
# ../configure will supress all autogeneration rules.
#
$(srcdir)/diatypebuiltins.c: @REBUILD@ Makefile.am $(all_headers)
	cd $(srcdir) \
	&& glib-mkenums \
			--fhead "#include <glib-object.h>\n" \
			--fhead "#include \"diatypebuiltins.h\"\n\n" \
			--fprod "\n/* enumerations from \"@filename@\" */\n" \
			--fprod "#include \"@filename@\"\n" \
			--vhead "static const G@Type@Value _@enum_name@_values[] = {" \
			--vprod "  { @VALUENAME@, \"@VALUENAME@\", \"@valuenick@\" }," \
			--vtail "  { 0, NULL, NULL }\n};\n\n" \
			--vtail "GType\n@enum_name@_get_type (void)\n{\n" \
			--vtail "  static GType type = 0;\n\n" \
			--vtail "  if (!type)\n" \
			--vtail "    type = g_@type@_register_static (\"@EnumName@\", _@enum_name@_values);\n\n" \
			--vtail "  return type;\n}\n\n" \
		$(all_headers) > xgen-gtbec \
	&& cp xgen-gtbec $(@F) \
	&& rm -f xgen-gtbec

$(srcdir)/diatypebuiltins.h: @REBUILD@ Makefile.am $(all_headers)
	cd $(srcdir) \
	&& glib-mkenums \
			--fhead "#ifndef __DIATYPEBUILTINS_H__\n" \
			--fhead "#define __DIATYPEBUILTINS_H__ 1\n\n" \
			--fhead "#include <glib-object.h>\n\n" \
			--fhead "G_BEGIN_DECLS\n\n" \
			--ftail "G_END_DECLS\n\n" \
			--ftail "#endif /* __DIATYPEBUILTINS_H__ */\n" \
			--fprod "\n/* --- @filename@ --- */" \
			--eprod "#define DIA_TYPE_@ENUMSHORT@ @enum_name@_get_type()\n" \
			--eprod "GType @enum_name@_get_type (void);\n" \
		$(all_headers) > xgen-gth \
	&& cp xgen-gth $(@F) \
	&& rm -f xgen-gth

# Marshaler stuff
$(srcdir)/diamarshal.h: @REBUILD@ Makefile.am diamarshal.list
	cd $(srcdir) \
	&& glib-genmarshal --prefix=dia_marshal diamarshal.list --header >> xgen-gmh \
	&& (cmp -s xgen-gmh diamarshal.h || cp xgen-gmh diamarshal.h) \
	&& rm -f xgen-gmh xgen-gmh~

$(srcdir)/diamarshal.c: @REBUILD@ Makefile.am diamarshal.list
	cd $(srcdir) \
	&& glib-genmarshal --prefix=dia_marshal diamarshal.list --body >> xgen-gmc \
	&& cp xgen-gmc diamarshal.c \
	&& rm -f xgen-gmc xgen-gmc~

uninstall-local:
	@if test -d $(libdiacanvas2includedir); then \
	  echo " rmdir $(libdiacanvas2includedir)" && \
	  rmdir $(libdiacanvas2includedir); \
	fi
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
